<com.google.android.gms.ads.nativead.NativeAdView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_margin="10dp">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:background="@drawable/bg_ad_border"
        android:baselineAligned="false"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <com.google.android.gms.ads.nativead.MediaView
                android:id="@+id/ad_media"
                android:layout_width="60dp"
                android:layout_height="60dp"
                android:layout_gravity="center_vertical"
                android:layout_marginStart="10dp" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="8dp"
                android:layout_marginTop="11dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="10dp">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center_vertical"
                        android:layout_marginEnd="4dp"
                        android:background="#FF923E"
                        android:padding="2dp"
                        android:text="Ad"
                        android:textColor="@color/white"
                        android:textSize="12sp"
                        tools:ignore="HardcodedText" />

                    <TextView
                        android:id="@+id/ad_headline"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:ellipsize="end"
                        android:maxLines="1"
                        android:textColor="@color/black"
                        android:textSize="14sp"
                        android:textStyle="bold"
                        tools:text="Competition Countdown" />

                </LinearLayout>

                <TextView
                    android:id="@+id/ad_body"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:ellipsize="end"
                    android:maxLines="2"
                    android:textColor="@color/black"
                    android:textSize="12sp"
                    tools:text="Best competitions, One App We don't run any competitions,we just show you them all in one" />
            </LinearLayout>

        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingVertical="14dp">



            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/ad_call_to_action"
                android:layout_width="match_parent"
                android:layout_height="36dp"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="8dp"
                android:background="@drawable/bg_ad_button"
                android:gravity="center"
                android:textColor="@color/white"
                android:textSize="15sp" />

        </LinearLayout>


    </LinearLayout>

</com.google.android.gms.ads.nativead.NativeAdView>
<!--<ImageView-->
<!--android:id="@+id/ad_app_icon"-->
<!--android:layout_width="30dp"-->
<!--android:layout_height="30dp"-->
<!--android:layout_gravity="center_vertical"-->
<!--android:visibility="gone"-->
<!--tools:ignore="ContentDescription" />-->